> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chatclean.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Create New Conversation

> Creating a conversation in ChatClean requires a source id. 

 Learn more about source_id: https://docs.chatclean.com.br/canais/api#send-messages-to-the-api-channel



## OpenAPI

````yaml /openapi.json post /api/v1/accounts/{account_id}/conversations
openapi: 3.1.0
info:
  title: ChatClean API
  description: API REST do ChatClean.
  version: 1.1.0
  contact:
    email: contato@chatclean.com.br
servers:
  - url: https://chat.chatclean.com.br
security: []
tags:
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Campaigns
    description: >-
      Create, schedule, and manage campaigns. Requires an account administrator
      and API access enabled for the account.
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Labels
    description: Account label management APIs
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
  - name: Contacts API
    description: Public contact APIs
  - name: Conversations API
    description: Public conversation APIs
  - name: Messages API
    description: Public message APIs
paths:
  /api/v1/accounts/{account_id}/conversations:
    parameters:
      - $ref: '#/components/parameters/account_id'
    post:
      tags:
        - Conversations
      summary: Create New Conversation
      description: |-
        Creating a conversation in ChatClean requires a source id. 

         Learn more about source_id: https://docs.chatclean.com.br/canais/api#send-messages-to-the-api-channel
      operationId: newConversation
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/conversation_create_payload'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: ID of the conversation
                  account_id:
                    type: number
                    description: Account Id
                  inbox_id:
                    type: number
                    description: ID of the inbox
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - userBearerAuth: []
        - agentBotBearerAuth: []
        - userApiKey: []
        - agentBotApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
  schemas:
    conversation_create_payload:
      type: object
      required:
        - source_id
      properties:
        source_id:
          type: string
          description: Conversation source id
          example: '1234567890'
        inbox_id:
          type: integer
          description: >-
            Id of inbox in which the conversation is created <br/> Allowed Inbox
            Types: Website, Phone, Api, Email
          example: 1
        contact_id:
          type: integer
          description: Contact Id for which conversation is created
          example: 1
        additional_attributes:
          type: object
          description: Lets you specify attributes like browser information
          example:
            browser: Chrome
            browser_version: 89.0.4389.82
            os: Windows
            os_version: '10'
        custom_attributes:
          type: object
          description: >-
            The object to save custom attributes for conversation, accepts
            custom attributes key and value
          example:
            attribute_key: attribute_value
            priority_conversation_number: 3
        status:
          type: string
          enum:
            - open
            - resolved
            - pending
          description: Specify the conversation whether it's pending, open, closed
          example: open
        assignee_id:
          type: integer
          description: Agent Id for assigning a conversation to an agent
          example: 1
        team_id:
          type: integer
          description: Team Id for assigning a conversation to a team\
          example: 1
        snoozed_until:
          type: string
          format: date-time
          description: Snoozed until date time
          example: '2030-07-21T17:32:28Z'
        message:
          type: object
          description: The initial message to be sent to the conversation
          required:
            - content
          properties:
            content:
              type: string
              description: The content of the message
              example: Hello, how can I help you?
            template_params:
              type: object
              description: The template params for the message in case of whatsapp Channel
              properties:
                name:
                  type: string
                  description: Name of the template
                  example: sample_issue_resolution
                category:
                  type: string
                  description: Category of the template
                  example: UTILITY
                language:
                  type: string
                  description: Language of the template
                  example: en_US
                processed_params:
                  type: object
                  description: >-
                    The processed param values for template variables in
                    template
                  example:
                    '1': ChatClean
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
  securitySchemes:
    userBearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate with `Authorization: Bearer <token>` using a user API token
        from **Profile Settings**.
    agentBotBearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate with `Authorization: Bearer <token>` using an agent bot
        token from **Settings → Agent Bots**.
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        Find your API token in **Profile Settings**. The `api_access_token`
        header remains supported, but will be deprecated in a future release.
        For new integrations, use Bearer authentication.
    agentBotApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        Find your agent bot token in **Settings → Agent Bots**. For new
        integrations, use Bearer authentication. Agent bot tokens can access
        only bot-permitted APIs.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.